View Issue Details

IDProjectCategoryView StatusLast Update
0002122Ham Radio DeluxeBugpublic2017-07-19 12:14
ReporterKB3NPH 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.4.0.664 
Summary0002122: Slow to open "PTT" and "Modes + ID'" in DM-780 Program Options.
DescriptionFor quite some time we have noticed it takes a considerable amount of time to open the "PTT" and "Modes + IDs" in the DM-780 Program Options menu. At times when selecting these items, the program indicates it is "NOT RESPONDING" for up to 30+ seconds, then it finally recovers and opens the dialog selected.


Steps To Reproduce1. Load DM-780
2. Select "Program Options" either from the Tools menu or by clicking the icon on the main toolbar.
3. When Program Options opens, from the menu on the left, select "Soundcard", "Logbook", or any option OTHER than "PTT" or "Modes + ID"
4. Notice other options open almost immediately.
5. Select "PTT" and notice how long it takes to access the dialog compared to other options
6. Select "Modes + IDs" and again notice how long it takes to access the dialog compared to other options

If you watch the program header, when selecting PTT or Modes + IDs, the program will go "non-responsive" for a period of time but it will then recover on it's own and open the selected dialog.
TagsNo tags attached.
ModuleDM780
Sub-ModuleAppearance/UI
TestingNot Started

Relationships

Activities

K7ZCZ

2017-07-15 20:15

viewer   ~0003668

These two tabs include controls that contain lists of serial ports on the machine. The code in the app tests for all ports: COM1 through COM255, which can take some time.

I'll see if there's a faster way ...

K7ZCZ

2017-07-15 21:16

viewer   ~0003669

I found a faster way.
Checked into the mainline code branch:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/3635

g3ucq

2017-07-16 16:43

viewer   ~0003675

Good Fix.

w4ase

2017-07-18 08:24

viewer   ~0003681

I have noticed this before - now much fasterer

WA9PIE

2017-07-19 12:14

administrator   ~0003689

All shipped as part of the 664 release.

Issue History

Date Modified Username Field Change
2017-07-10 01:16 KB3NPH New Issue
2017-07-15 20:15 K7ZCZ Note Added: 0003668
2017-07-15 21:15 K7ZCZ Project 1 - Backlog => 3 - Current Dev List
2017-07-15 21:16 K7ZCZ Assigned To => K7ZCZ
2017-07-15 21:16 K7ZCZ Status new => assigned
2017-07-15 21:16 K7ZCZ Status assigned => resolved
2017-07-15 21:16 K7ZCZ Resolution open => fixed
2017-07-15 21:16 K7ZCZ Note Added: 0003669
2017-07-16 14:48 WA9PIE Fixed in Version => 6.4.0.664
2017-07-16 16:43 g3ucq Note Added: 0003675
2017-07-17 17:36 WA9PIE Summary Slow to open "PTT" and "Modes + ID'" in DN-780 Program Options. => Slow to open "PTT" and "Modes + ID'" in DM-780 Program Options.
2017-07-18 08:24 w4ase Note Added: 0003681
2017-07-19 12:12 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-07-19 12:14 WA9PIE Note Added: 0003689
2017-07-19 12:14 WA9PIE Status resolved => closed